Bug 450277 - Memory usage grows without bound
Memory usage grows without bound
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
: 449342 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 09:05 EDT by Daniel Berrange
Modified: 2014-11-10 07:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The smaps file from /proc for pidgin process (239.17 KB, text/plain)
2008-06-06 09:08 EDT, Daniel Berrange
no flags Details
PIdgin process memory summary (4.50 KB, text/plain)
2008-06-06 09:08 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2008-06-06 09:05:55 EDT
Description of problem:
On my desktop machine I never log out unless a kernel upgrade is required. So
applications such as pidgin will run for weeks at a time. Unfortunately pidgin
either has a memory leak, or has a cache which grows without bound.

After 1 week I now have a pidgin process consuming 510 MB of *resident* RAM.

Summary:

  Mapped:   1141.64 MB
  Virtual:  1097.97 MB

  Resident: 534.47 MB
    Shared:   20.38 MB
      Clean: 14.65 MB
      Dirty: 584.00 kb
    Private:   514.09 MB
      Clean: 4.75 MB
      Dirty: 483.43 MB
  Unmapped: 563.50 MB

  Text:     864.00 kb
  Library:  0 bytes
  Data:     542.97 MB

Groupings:

                                                              :                
         Shared             Private
                                                              :   Mapped       
  Clean       Dirty      Clean      Dirty
                                                              
------------------------------------------------------------
  /                                                           :  768.00 kb     
   0 bytes  584.00 kb    0 bytes    0 bytes
  /lib64                                                      :   87.15 MB     
   3.78 MB    0 bytes  160.00 kb  312.00 kb
  /usr/bin                                                    :  940.00 kb     
   0 bytes    0 bytes  628.00 kb   12.00 kb
  /usr/lib/locale                                             :  151.38 MB     
 136.00 kb    0 bytes    0 bytes    0 bytes
  /usr/lib64                                                  :  164.06 MB     
   6.98 MB    0 bytes 1560.00 kb  680.00 kb
  /usr/lib64/enchant                                          :   20.00 kb     
   0 bytes    0 bytes   12.00 kb    4.00 kb
  /usr/lib64/gconv                                            :    4.05 MB     
  32.00 kb    0 bytes    8.00 kb   12.00 kb
  /usr/lib64/gtk-2.0/2.10.0/engines                           :    2.07 MB     
  68.00 kb    0 bytes    0 bytes    4.00 kb
  /usr/lib64/gtk-2.0/2.10.0/loaders                           :    8.05 MB     
  16.00 kb    0 bytes   16.00 kb   12.00 kb
  /usr/lib64/gtk-2.0/modules                                  :    2.01 MB     
   8.00 kb    0 bytes    0 bytes    4.00 kb
  /usr/lib64/mysql                                            :    3.45 MB     
   0 bytes    0 bytes  132.00 kb   92.00 kb
  /usr/lib64/pango/1.6.0/modules                              :    6.03 MB     
  20.00 kb    0 bytes    0 bytes   12.00 kb
  /usr/lib64/pidgin                                           :   46.57 MB     
   0 bytes    0 bytes  392.00 kb   68.00 kb
  /usr/lib64/purple-2                                         :   70.39 MB     
   0 bytes    0 bytes 1356.00 kb  168.00 kb
  /usr/lib64/sasl2                                            :   17.38 MB     
 268.00 kb    0 bytes    8.00 kb   48.00 kb
  /usr/share/fonts/baekmuk-ttf-dotum                          :    2.93 MB     
  92.00 kb    0 bytes   52.00 kb    0 bytes
  /usr/share/fonts/cjkunifonts-uming                          :   19.93 MB     
 932.00 kb    0 bytes   36.00 kb    0 bytes
  /usr/share/fonts/dejavu                                     : 1396.00 kb     
 208.00 kb    0 bytes  148.00 kb    0 bytes
  /usr/share/fonts/liberation                                 :  160.00 kb     
  44.00 kb    0 bytes   28.00 kb    0 bytes
  /usr/share/fonts/paktype                                    :  620.00 kb     
   0 bytes    0 bytes   92.00 kb    0 bytes
  /usr/share/fonts/sazanami-fonts-gothic                      :    7.20 MB     
1324.00 kb    0 bytes   80.00 kb    0 bytes
  /usr/share/icons/Fedora                                     :  368.00 kb     
  76.00 kb    0 bytes    0 bytes    0 bytes
  /usr/share/icons/Mist                                       :  104.00 kb     
  32.00 kb    0 bytes    0 bytes    0 bytes
  /usr/share/icons/gnome                                      :   28.83 MB     
 184.00 kb    0 bytes   40.00 kb    0 bytes
  /usr/share/icons/hicolor                                    :    2.87 MB     
   0 bytes    0 bytes    0 bytes    0 bytes
  /var/cache/fontconfig                                       :  532.00 kb     
 532.00 kb    0 bytes    0 bytes    0 bytes
  [anon]                                                      :  508.92 MB     
   0 bytes    0 bytes  116.00 kb  478.48 MB
  [heap]                                                      :    3.25 MB     
   0 bytes    0 bytes    0 bytes    3.25 MB
  [stack]                                                     :  312.00 kb     
   0 bytes    0 bytes    0 bytes  312.00 kb
  [vdso]                                                      :   24.00 kb     
  12.00 kb    0 bytes    0 bytes    0 bytes
  [vsyscall]                                                  :   12.00 kb     
   0 bytes    0 bytes    0 bytes    0 bytes

So basically all of the 500 MB is in anonumous mmap()'d regions - which is
basically stuff pidgin has malloc()'d

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start pidgin and join a mix of channels (i use AIM, IRC, GoogleTalk and
YahooTalk)
2. Observe initial memory usage
3. Wait a week
4. Observe current memory usage
5. Goto step 3 
 
Actual results:
Memory usage is growing without bound until it consumes all RAM and Swap

Expected results:
Memory usage is bounded

Additional info:
Comment 1 Daniel Berrange 2008-06-06 09:08:00 EDT
Created attachment 308526 [details]
The smaps file from /proc for pidgin process
Comment 2 Daniel Berrange 2008-06-06 09:08:48 EDT
Created attachment 308528 [details]
PIdgin process memory summary

Bugzilla mangled the memory usage summary I pasted in, so here's an attachment
with the plain text data again
Comment 3 Stu Tomlinson 2008-06-06 09:30:15 EDT
Could you try pidgin 2.4.2 (& libpurple 2.4.2) from updates-testing? we fixed
some memory leaks, but I'm not sure we fixed anything serious enough to leak
500Mb/week...

Also can you tell me what plugins you have loaded in Pidgin?
Comment 4 Daniel Berrange 2008-06-06 09:51:19 EDT
Plugins:

    ExtPlacement
    History
    Message Notification



I've upgrade to 2.4.2, restarted pidgin, and killed my  '.purple/logs' directory
to clear out old state too. The initial usage at time of startup is

Summary:

  Mapped:   578.34 MB
  Free:     17179869183.43 GB
  Virtual:  643.64 MB

  Resident: 147.52 MB
    Shared:   17.54 MB
      Clean: 11.45 MB
      Dirty: 360.00 kb
    Private:   129.98 MB
      Clean: 5.46 MB
      Dirty: 15.32 MB
  Unmapped: 496.12 MB

  Text:     876.00 kb
  Library:  0 bytes
  Data:     151.18 MB


Now have to wait a while and report back....

Comment 5 john5342 2008-09-01 19:56:45 EDT
*** Bug 449342 has been marked as a duplicate of this bug. ***
Comment 6 Warren Togami 2008-11-20 17:15:29 EST
Still an issue with pidgin-2.5.2?
Comment 7 Bug Zapper 2009-06-09 21:26:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 14:25:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.